FROM debian:bullseye-slim as builder

# Install required packages
RUN apt-get update -q \
    && DEBIAN_FRONTEND=noninteractive apt-get install -yq --no-install-recommends \
    autoconf \
    ca-certificates \
    git \
    make \
    gcc \
    g++ \
    curl \
    openssh-client \
    zlib1g-dev \
    libssl-dev \
    libreadline-dev \
    libcurl4-openssl-dev \
    libexpat1-dev \
    gettext \
    libssl-dev \
    libc6-dev \
    apt-transport-https \
    gnupg2 \
    software-properties-common \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/*

<%= Snippets.new(include: %w[versions ruby tmpclean]).populate %>

FROM gcr.io/kaniko-project/executor:debug-v1.3.0 as kaniko

FROM debian:bullseye-slim
MAINTAINER GitLab Inc. <support@gitlab.com>
COPY --from=builder / /

# See https://github.com/GoogleContainerTools/kaniko/blob/master/deploy/Dockerfile#L65-L70
COPY --from=kaniko /kaniko/ /kaniko/
COPY --from=kaniko /etc/nsswitch.conf /etc/nsswitch.conf

ENV HOME /root
ENV USER root
ENV PATH /usr/local/bin:/kaniko:$PATH
# ENV SSL_CERT_DIR=/kaniko/ssl/certs
ENV DOCKER_CONFIG /kaniko/.docker/
ENV DOCKER_CREDENTIAL_GCR_CONFIG /kaniko/.config/gcloud/docker_credential_gcr_config.json
WORKDIR /workspace

ENTRYPOINT ["/kaniko/executor"]
